## class SG_EXPORT osg::PositionAttitudeTransform

> PositionAttitideTransform - is Transform the set the coordinates transform up via a Vec3 position and Quat attitude

## Inheritance:

### Public Methods

PositionAttitudeTransform()
PositionAttitudeTransform(const PositionAttitudeTransform& pat, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
META_Node(osg, PositionAttitudeTransform)
virtual PositionAttitudeTransform* asPositionAttitudeTransform()
virtual const PositionAttitudeTransform* asPositionAttitudeTransform() const
inline void setPosition(const Vec3& pos)
inline const Vec3& getPosition() const
inline void setAttitude(const Quat& quat)
inline const Quat& getAttitude() const
inline void setPivotPoint(const Vec3& pivot)
inline const Vec3& getPivotPoint() const
virtual bool computeLocalToWorldMatrix(Matrix& matrix, NodeVisitor* nv) const
virtual bool computeWorldToLocalMatrix(Matrix& matrix, NodeVisitor* nv) const

### Protected Fields

Vec3 _position
Quat _attitude
Vec3 _pivotPoint

### Protected Methods

virtual ~PositionAttitudeTransform()

### Inherited from Transform:

### Public Methods

virtual Transform* asTransform()
virtual const Transform* asTransform() const
virtual MatrixTransform* asMatrixTransform()
virtual const MatrixTransform* asMatrixTransform() const
virtual DOFTransform* asDOFTransform()
virtual const DOFTransform* asDOFTransform() const
void setReferenceFrame(ReferenceFrame rf)
ReferenceFrame getReferenceFrame() const
void setComputeTransformCallback(ComputeTransformCallback* ctc)
ComputeTransformCallback* getComputeTransformCallback()
const ComputeTransformCallback* getComputeTransformCallback() const
inline bool getLocalToWorldMatrix(Matrix& matrix, NodeVisitor* nv) const
inline bool getWorldToLocalMatrix(Matrix& matrix, NodeVisitor* nv) const

### Public Members

enum ReferenceFrame
struct ComputeTransformCallback: public virtual osg::Referenced

### Protected Fields

ref_ptr<ComputeTransformCallback> _computeTransformCallback
ReferenceFrame _referenceFrame

### Protected Methods

virtual bool computeBound() const

### Inherited from Group:

### Public Methods

virtual Group* asGroup()
virtual const Group* asGroup() const
virtual void traverse(NodeVisitor& nv)
virtual bool addChild( Node* child )
virtual bool insertChild( unsigned int index, Node* child )
virtual bool removeChild( Node* child )
virtual bool removeChild(unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool replaceChild( Node* origChild, Node* newChild )
inline unsigned int getNumChildren() const
virtual bool setChild( unsigned int i, Node* node )
inline Node* getChild( unsigned int i )
inline const Node* getChild( unsigned int i ) const
inline bool containsNode( const Node* node ) const
inline unsigned int getChildIndex( const Node* node ) const

### Protected Fields

NodeList _children

### Inherited from Node:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp& copyop) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void accept(NodeVisitor& nv)
virtual void ascend(NodeVisitor& nv)
inline void setName( const std::string& name )
inline void setName( const char* name )
inline const std::string& getName() const
inline const ParentList& getParents() const
inline ParentList getParents()
inline Group* getParent(unsigned int i)
inline const Group* getParent(unsigned int i) const
inline unsigned int getNumParents() const
void setUpdateCallback(NodeCallback* nc)
inline NodeCallback* getUpdateCallback()
inline const NodeCallback* getUpdateCallback() const
inline unsigned int getNumChildrenRequiringUpdateTraversal() const
void setCullCallback(NodeCallback* nc)
inline NodeCallback* getCullCallback()
inline const NodeCallback* getCullCallback() const
void setCullingActive(bool active)
inline bool getCullingActive() const
inline unsigned int getNumChildrenWithCullingDisabled() const
inline bool isCullingActive() const
inline unsigned int getNumChildrenWithOccluderNodes() const
bool containsOccluderNodes() const
inline void setNodeMask(NodeMask nm)
inline NodeMask getNodeMask() const
inline const DescriptionList& getDescriptions() const
inline DescriptionList& getDescriptions()
inline const std::string& getDescription(unsigned int i) const
inline std::string& getDescription(unsigned int i)
inline unsigned int getNumDescriptions() const
void addDescription(const std::string& desc)
inline void setStateSet(osg::StateSet* dstate)
osg::StateSet* getOrCreateStateSet()
inline osg::StateSet* getStateSet()
inline const osg::StateSet* getStateSet() const
inline const BoundingSphere& getBound() const
void dirtyBound()

### Public Members

typedef std::vector<Group*> ParentList
typedef unsigned int NodeMask
typedef std::vector<std::string> DescriptionList

### Protected Fields

mutable BoundingSphere _bsphere
mutable bool _bsphere_computed
std::string _name
ParentList _parents
ref_ptr<NodeCallback> _updateCallback
unsigned int _numChildrenRequiringUpdateTraversal
ref_ptr<NodeCallback> _cullCallback
bool _cullingActive
unsigned int _numChildrenWithCullingDisabled
unsigned int _numChildrenWithOccluderNodes
NodeMask _nodeMask
DescriptionList _descriptions
ref_ptr<StateSet> _stateset

### Protected Methods

void addParent(osg::Group* node)
void removeParent(osg::Group* node)
void setNumChildrenRequiringUpdateTraversal(unsigned int num)
void setNumChildrenWithCullingDisabled(unsigned int num)
void setNumChildrenWithOccluderNodes(unsigned int num)

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> PositionAttitideTransform - is Transform the set the coordinates transform up via a Vec3 position and Quat attitude

`PositionAttitudeTransform()`

`PositionAttitudeTransform(const PositionAttitudeTransform& pat, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`META_Node(osg, PositionAttitudeTransform)`

`virtual PositionAttitudeTransform* asPositionAttitudeTransform()`

`virtual const PositionAttitudeTransform* asPositionAttitudeTransform() const`

`inline void setPosition(const Vec3& pos)`

`inline const Vec3& getPosition() const`

`inline void setAttitude(const Quat& quat)`

`inline const Quat& getAttitude() const`

`inline void setPivotPoint(const Vec3& pivot)`

`inline const Vec3& getPivotPoint() const`

`virtual bool computeLocalToWorldMatrix(Matrix& matrix, NodeVisitor* nv) const`

`virtual bool computeWorldToLocalMatrix(Matrix& matrix, NodeVisitor* nv) const`

`virtual ~PositionAttitudeTransform()`

`Vec3 _position`

`Quat _attitude`

`Vec3 _pivotPoint`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.